# EventDB Module for Icinga Web 2

[![Build Status](https://travis-ci.org/Icinga/icingaweb2-module-eventdb.svg?branch=master)](https://travis-ci.org/Icinga/icingaweb2-module-eventdb)
[![Github Tag](https://img.shields.io/github/tag/Icinga/icingaweb2-module-eventdb.svg)](https://github.com/Icinga/icingaweb2-module-eventdb)

![Icinga Logo](https://www.icinga.com/wp-content/uploads/2014/06/icinga_logo.png)

* [About](#about)
* [Requirements](#requirements)
* [Getting Started](#getting-started)
* [Documentation](#documentation)
* [License](#license)

## About

With the EventDB Module you can browse, comment and acknowledge events collected
by [EventDB](https://git.netways.org/eventdb/eventdb) easily in
[Icinga Web 2](https://www.icinga.org/products/icinga-web-2/).

![screenshot](doc/screenshots/overview.png)

Also see [Screenshots](doc/10-Screenshots.md) in documentation.

## Requirements

* Icinga Web 2
* A database with events collected by EventDB

## Getting started

Install and enable the module, then go to [Configuration](doc/02-Configuration.md)
to set up the essentials.

## Documentation

* [Configuration](doc/02-Configuration.md)
* [Custom variables](doc/03-CustomVars.md)
* [Security](doc/09-Security.md)
* [Screenshots](doc/10-Screenshots.md)

## License

    Copyright (C) 2016-2017 Icinga Development Team
                  2016-2017 Eric Lippmann <eric.lippmann@icinga.com>
                  2017      Markus Frosch <markus.frosch@icinga.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along
    with this program; if not, write to the Free Software Foundation, Inc.,
    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
